## avrdude 5.11

=== debian/changelog ===
avrdude (5.11-1) unstable; urgency=low

  * New upstream release.
  * Bump debhelper compatibility level to 8 and update build dependency
    accordingly.
  * Bump Standards-Version to 3.9.2. No further changes.
  * Remove debian/patches/01-arduino-auto-reset.patch, merged upstream.
  * Refresh debian/patches/02-manpage_fix.patch.
  * Add support for FT2232 based programmers by building against libftdi.

 -- Michael Biebl <biebl@debian.org>  Sun, 28 Aug 2011 14:30:26 +0200
