## avrdude 5.11.1

=== debian/changelog ===
avrdude (5.11.1-2) unstable; urgency=low

  * Move package to collab-maint.
  * Bump Standards-Version to 3.9.4.
  * Bump debhelper compatibility level to 9.

 -- Michael Biebl <biebl@debian.org>  Sun, 24 Mar 2013 01:49:52 +0100

avrdude (5.11.1-1) unstable; urgency=low

  * New upstream release.
  * Install ChangeLog files for 2007-2009.

 -- Michael Biebl <biebl@debian.org>  Tue, 18 Oct 2011 23:06:14 +0200
