=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: extra
 Maintainer: Michael Biebl <biebl@debian.org>
 Build-Depends:
- debhelper (>= 7.0.50),
+ debhelper (>= 9),
  autotools-dev (>= 20100122.1),
  texi2html,
  texinfo,
@@ -12,10 +12,11 @@
  bison,
  libncurses5-dev,
  libreadline-dev,
- libusb-dev
-Standards-Version: 3.8.4
-Vcs-Git: git://git.debian.org/git/users/biebl/avrdude.git
-Vcs-Browser: http://git.debian.org/?p=users/biebl/avrdude.git;a=summary
+ libusb-dev,
+ libftdi-dev
+Standards-Version: 3.9.4
+Vcs-Git: git://anonscm.debian.org/collab-maint/avrdude.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/avrdude.git;a=summary
 Homepage: http://savannah.nongnu.org/projects/avrdude/
 
 Package: avrdude
