## avrdude 6.0.1

=== debian/changelog ===
avrdude (6.0.1-1) unstable; urgency=low

  * New upstream release.
  * Add Build-Depends on libelf-dev to enable support for reading ELF files.
  * Enable the Linux sysfs GPIO interface programmer type when building on
    Linux.

 -- Michael Biebl <biebl@debian.org>  Fri, 20 Sep 2013 20:32:13 +0200
