=== debian/watch ===
version=3
http://savannah.nongnu.org/download/avrdude/avrdude-([\d\.]*)\.tar\.gz
