## avrdude 6.1

=== debian/changelog ===
avrdude (6.1-4build1) wily; urgency=medium

  * No-change rebuild for libstdc++6 ABI changes.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 08 Sep 2015 11:36:45 +0200

avrdude (6.1-4) unstable; urgency=medium

  [ Michael Biebl ]
  * Update watch file to also track .bz2 and .xz tarballs.
  * Add cryptographic signature verification for upstream tarball.
  * Make no-patch-numbers the default for gbp.

  [ Guido Günther ]
  * Avoid division by zero on empty size. Patch cherry-picked from upstream.
    (Closes: #788517)

 -- Michael Biebl <biebl@debian.org>  Fri, 12 Jun 2015 12:49:43 +0200

avrdude (6.1-3) unstable; urgency=medium

  * Bump Standards-Version to 3.9.6. No further changes.
  * Update Vcs-Browser URL to use cgit and https.
  * Fix Linux GPIO typo. Patch cherry-picked from upstream. (Closes: #745034)

 -- Michael Biebl <biebl@debian.org>  Fri, 01 May 2015 05:22:06 +0200

avrdude (6.1-2) unstable; urgency=medium

  * Fix reset on FT245R. Patch cherry-picked from upstream. (Closes: #760764)

 -- Michael Biebl <biebl@debian.org>  Thu, 11 Sep 2014 21:56:06 +0200

avrdude (6.1-1) unstable; urgency=medium

  * New upstream release.
  * Refresh patches.
  * Bump Standards-Version to 3.9.5. No further changes.

 -- Michael Biebl <biebl@debian.org>  Fri, 14 Mar 2014 15:30:25 +0100
