=== debian/control ===
--- 
+++ 
@@ -15,9 +15,9 @@
  libusb-dev,
  libftdi-dev,
  libelf-dev
-Standards-Version: 3.9.4
+Standards-Version: 3.9.6
 Vcs-Git: git://anonscm.debian.org/collab-maint/avrdude.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/avrdude.git;a=summary
+Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/avrdude.git
 Homepage: http://savannah.nongnu.org/projects/avrdude/
 
 Package: avrdude
