## avrdude 6.2

=== debian/changelog ===
avrdude (6.2-5) unstable; urgency=medium

  * Set ISO 8601 formatted postscript CreationDate.

 -- Milan Kupcevic <milan@debian.org>  Sat, 02 Jan 2016 09:59:25 -0500

avrdude (6.2-4) unstable; urgency=medium

  * Update udev rules.
  * Set reproducible postscript CreationDate field.

 -- Milan Kupcevic <milan@debian.org>  Fri, 01 Jan 2016 21:47:30 -0500

avrdude (6.2-3) unstable; urgency=low

  * No CPP macro timestamps.
  * Use tbl man preprocessor.
  * Use makeinfo instead of texi2html.
  * Include all ChangeLog files.
  * Add udev device rules. (Closes: #666137)

 -- Milan Kupcevic <milan@debian.org>  Sun, 27 Dec 2015 23:22:32 -0500

avrdude (6.2-2) unstable; urgency=low

  * New maintainer (closes: #805651). Many thanks to Michael Biebl for a 
    decade worth of contributions to this package.
  * Set proper serial device attributes. (Closes: #805642)

 -- Milan Kupcevic <milan@debian.org>  Sat, 19 Dec 2015 14:46:10 -0500

avrdude (6.2-1) unstable; urgency=medium

  * New upstream release. (Closes: #805352)
  * Rebase patches.
  * Override dh_install to list uninstalled files.
  * Use .install files to install the avrdude man page and info file.
  * Install html, pdf and ps documentation under /usr/share/doc/avrdude, as
    this is the location where upstream puts it.
  * Add symlinks in /usr/share/doc/avrdude-doc so the old paths still work.

 -- Michael Biebl <biebl@debian.org>  Tue, 17 Nov 2015 15:01:26 +0100
