=== debian/control ===
--- 
+++ 
@@ -1,11 +1,13 @@
 Source: avrdude
 Section: electronics
 Priority: extra
-Maintainer: Michael Biebl <biebl@debian.org>
+Maintainer: Milan Kupcevic <milan@debian.org>
 Build-Depends:
  debhelper (>= 9),
  autotools-dev (>= 20100122.1),
- texi2html,
+ autoconf,
+ automake,
+ ghostscript,
  texinfo,
  texlive-latex-base,
  flex,
@@ -21,8 +23,6 @@
 Homepage: http://savannah.nongnu.org/projects/avrdude/
 
 Package: avrdude
-Section: electronics
-Priority: extra
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Suggests: avrdude-doc
@@ -33,8 +33,8 @@
 
 Package: avrdude-doc
 Section: doc
-Priority: extra
 Architecture: all
+Pre-Depends: ${misc:Pre-Depends}
 Depends: ${misc:Depends}
 Suggests: doc-base
 Description: documentation for avrdude
