=== debian/rules ===
--- 
+++ 
@@ -11,3 +11,6 @@
 		--enable-versioned-doc=no \
 		--enable-doc \
 		$(CONFFLAGS)
+
+override_dh_install:
+	dh_install --list-missing
