## avrdude 6.3

=== debian/changelog ===
avrdude (6.3-4) unstable; urgency=medium

  * Support ATtiny841 and ATtiny441
  * Bump Standards-Version to 4.0.0
  * Full auto-reconfigure on builds

 -- Milan Kupcevic <milan@debian.org>  Sun, 06 Aug 2017 18:28:55 -0400

avrdude (6.3-3) unstable; urgency=medium

  * Recreate aclocal.m4 (closes: #868925)
  * Set package priority to overridden optional.

 -- Milan Kupcevic <milan@debian.org>  Wed, 26 Jul 2017 16:30:50 -0400

avrdude (6.3-2) unstable; urgency=medium

  * Do not mask unused lock byte bits on read (closes: #809002)

 -- Milan Kupcevic <milan@debian.org>  Mon, 05 Dec 2016 19:27:46 -0500

avrdude (6.3-1) unstable; urgency=medium

  * New upstream release (closes: #821033)
    - set proper serial device attributes (closes: 805642), patch removed
  * Fix linuxgpio conversion failure. Upstream bug#47550 patch.
  * Update Vcs-Git to use secure transport for anonymous git repository access.
  * Bump Standards-Version to 3.9.8. No changes.

 -- Milan Kupcevic <milan@debian.org>  Wed, 18 May 2016 23:43:38 -0400
