=== debian/control ===
--- 
+++ 
@@ -1,10 +1,11 @@
 Source: avrdude
 Section: electronics
-Priority: extra
+Priority: optional
 Maintainer: Milan Kupcevic <milan@debian.org>
 Build-Depends:
  debhelper (>= 9),
  autotools-dev (>= 20100122.1),
+ dh-autoreconf,
  autoconf,
  automake,
  ghostscript,
@@ -17,8 +18,8 @@
  libusb-dev,
  libftdi-dev,
  libelf-dev
-Standards-Version: 3.9.6
-Vcs-Git: git://anonscm.debian.org/collab-maint/avrdude.git
+Standards-Version: 4.0.0
+Vcs-Git: https://anonscm.debian.org/git/collab-maint/avrdude.git
 Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/avrdude.git
 Homepage: http://savannah.nongnu.org/projects/avrdude/
