=== debian/rules ===
--- 
+++ 
@@ -4,7 +4,7 @@
 	CONFFLAGS += --enable-linuxgpio
 endif
 %:
-	dh $@ --with autotools_dev
+	dh $@ --with autotools_dev --with autoreconf
 
 override_dh_auto_configure:
 	dh_auto_configure -- \
