## avrdude 6.3-20171130+svn1429

=== debian/changelog ===
avrdude (6.3-20171130+svn1429-2) sid; urgency=medium

  * revert usbtiny tpi implementation (closes: #922558)

 -- Milan Kupcevic <milan@debian.org>  Mon, 25 Feb 2019 01:51:58 -0500

avrdude (6.3-20171130+svn1429-1) sid; urgency=medium

  * new upstream release
  * remove upstream accepted patches
  * add new devices to metainfo, udev rules
  * use libhidapi

 -- Milan Kupcevic <milan@debian.org>  Tue, 12 Feb 2019 02:25:09 -0500

avrdude (6.3-6) sid; urgency=medium

  * update metainfo release license
  * udev: permit console users use usb serial adapters
  * update standards version to 4.3.0

 -- Milan Kupcevic <milan@debian.org>  Mon, 24 Dec 2018 17:06:16 -0500

avrdude (6.3-5) sid; urgency=medium

  * Update package maintenance Vcs-* fields
  * Use 'uaccess' tag in udev rules
  * Suggest dfu-programmer
  * Provide package metainfo
  * No direct libncurses5-dev build dependency
  * autotools-dev is not needed anymore
  * use dh_missing
  * Define optional posix limits to allow building on GNU/Hurd
  * Bump Standards-Version to 4.2.1
  * Use debian watch secure uri
  * avrpart.c: correct a spelling mistake

 -- Milan Kupcevic <milan@debian.org>  Mon, 17 Dec 2018 17:21:43 -0500
