=== debian/control ===
--- 
+++ 
@@ -3,8 +3,7 @@
 Priority: optional
 Maintainer: Milan Kupcevic <milan@debian.org>
 Build-Depends:
- debhelper (>= 9),
- autotools-dev (>= 20100122.1),
+ debhelper (>= 9.20160114),
  dh-autoreconf,
  autoconf,
  automake,
@@ -13,20 +12,20 @@
  texlive-latex-base,
  flex,
  bison,
- libncurses5-dev,
  libreadline-dev,
+ libhidapi-dev,
  libusb-dev,
  libftdi-dev,
  libelf-dev
-Standards-Version: 4.0.0
-Vcs-Git: https://anonscm.debian.org/git/collab-maint/avrdude.git
-Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/avrdude.git
+Standards-Version: 4.3.0
+Vcs-Git: https://salsa.debian.org/debian/avrdude.git
+Vcs-Browser: https://salsa.debian.org/debian/avrdude
 Homepage: http://savannah.nongnu.org/projects/avrdude/
 
 Package: avrdude
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Suggests: avrdude-doc
+Suggests: dfu-programmer, avrdude-doc
 Description: software for programming Atmel AVR microcontrollers
  AVRDUDE is an open source utility to download/upload/manipulate the
  ROM and EEPROM contents of AVR microcontrollers using the in-system
