## avrdude 7.1+dfsg

=== debian/changelog ===
avrdude (7.1+dfsg-3) sid; urgency=medium

  * clarify documentation license GFDL-NIV-1.3; no identifiable invariant sections
    exist in the document

 -- Milan Kupcevic <milan@debian.org>  Fri, 10 Mar 2023 22:17:35 -0500

avrdude (7.1+dfsg-2) sid; urgency=medium

  * add autopkgtest
  * exclude libhidapi-dev on hurd
  * use permissive metainfo metadata_license as required by the AppStream
    specification
  * upstream forwarding not needed for debian specific patches

 -- Milan Kupcevic <milan@debian.org>  Fri, 10 Mar 2023 08:24:31 -0500

avrdude (7.1+dfsg-1) sid; urgency=medium

  * new upstream release
    - support teensy bootloader (closes: #629360)
    - support ATtiny2313A (closes: #909573)
  * remove upstream accepted patches
  * remove upstream tarball signature verification
  * quilt refresh
  * update standards version to 4.6.2
  * bump debhelper compat level to 12
  * debian/copyright: update, exclude non-dfsg files (closes: #979090)
    - lintian override undefined license
    - fix short beer-ware license id
  * update metainfo release license
  * use texi2html instead of makeinfo for pretty html docs (closes: #1030364)
    (lp: #1783814)
  * use dh_installman
  * use dh_installinfo
  * proper AppStrem metainfo id
  * add new devices to metainfo, udev rules
  * enable linuxspi

 -- Milan Kupcevic <milan@debian.org>  Wed, 08 Mar 2023 20:53:51 -0500
