=== debian/control ===
--- 
+++ 
@@ -3,24 +3,23 @@
 Priority: optional
 Maintainer: Milan Kupcevic <milan@debian.org>
 Build-Depends:
- debhelper (>= 9.20160114),
- dh-autoreconf,
+ debhelper (>= 12.1.1),
  autoconf,
  automake,
  ghostscript,
+ texi2html,
  texinfo,
  texlive-latex-base,
  flex,
  bison,
  libreadline-dev,
- libhidapi-dev,
+ libhidapi-dev [!hurd-i386],
  libusb-dev,
  libftdi-dev,
  libelf-dev
-Standards-Version: 4.3.0
+Standards-Version: 4.6.2
 Vcs-Git: https://salsa.debian.org/debian/avrdude.git
-Vcs-Browser: https://salsa.debian.org/debian/avrdude
-Homepage: http://savannah.nongnu.org/projects/avrdude/
+Homepage: https://github.com/avrdudes/avrdude/
 
 Package: avrdude
 Architecture: any
