=== debian/rules ===
--- 
+++ 
@@ -1,10 +1,10 @@
 #!/usr/bin/make -f
 
 ifeq ($(DEB_HOST_ARCH_OS),linux)
-	CONFFLAGS += --enable-linuxgpio
+	CONFFLAGS += --enable-linuxgpio --enable-linuxspi
 endif
 %:
-	dh $@ --with autoreconf
+	dh $@ --with autoreconf --sourcedirectory=src
 
 override_dh_auto_configure:
 	dh_auto_configure -- \
