=== debian/tests/control ===
Test-Command: avrdude -?
Depends: avrdude
Restrictions: allow-stderr
